<h4>Edit user</h4>
<form (ngSubmit)="update()">
  <label>First name:</label>
  <input type="text" name="firstName" placeholder="First name" [(ngModel)]="userToUpdate.firstName">
  <br/>
  <label>Last name:</label>
  <input type="text" name="lastName" placeholder="Last name" [(ngModel)]="userToUpdate.lastName">
  <br/>
  <label>Role:</label>
  <select #select (change)="logRole(select.value)">
    <option *ngFor="let role of roles" [value]="role.id" [selected]="role.id == roleId">{{role.name}}</option>
  </select>
  <br/>
  <button type="submit">Save changes</button>
</form>
